package com.fs.his.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsIntegralOrderDf;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author fs
 * @date 2025-11-11
 */
public interface FsIntegralOrderDfMapper extends BaseMapper<FsIntegralOrderDf> {
    /**
     * 查询【请填写功能名称】
     *
     * @param orderId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    FsIntegralOrderDf selectFsIntegralOrderDfByOrderId(Long orderId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param fsIntegralOrderDf 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<FsIntegralOrderDf> selectFsIntegralOrderDfList(FsIntegralOrderDf fsIntegralOrderDf);

    /**
     * 新增【请填写功能名称】
     *
     * @param fsIntegralOrderDf 【请填写功能名称】
     * @return 结果
     */
    int insertFsIntegralOrderDf(FsIntegralOrderDf fsIntegralOrderDf);

    /**
     * 修改【请填写功能名称】
     *
     * @param fsIntegralOrderDf 【请填写功能名称】
     * @return 结果
     */
    int updateFsIntegralOrderDf(FsIntegralOrderDf fsIntegralOrderDf);

    /**
     * 删除【请填写功能名称】
     *
     * @param orderId 【请填写功能名称】主键
     * @return 结果
     */
    int deleteFsIntegralOrderDfByOrderId(Long orderId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsIntegralOrderDfByOrderIds(Long[] orderIds);

    List<FsIntegralOrderDf> selectByIsPush();
}
